## org.opengis.geometry.coordinate
Interface Bezier

All Superinterfaces:
  BSplineCurve, CurveSegment, GenericCurve, SplineCurve

    @UML(identifier="GM_Bezier",
         specification=ISO_19107)
    public interface Bezier

extends BSplineCurve

Polynomial splines that use Bezier or Bernstein polynomials for interpolation purposes. An n-long control point array shall create a polynomial curve of degree n that defines the entire curve segment. These curves are defined in terms of a set of basis functions called the Bézier or Bernstein polynomials.

Since:
  GeoAPI 2.0
Version:
  ISO 19107
TODO:
  Add equations from ISO 19107 to the javadoc.

Method Summary

Methods inherited from interface BSplineCurve
`getCurveForm, getDegree, getKnotSpec, isPolynomial`

Methods inherited from interface SplineCurve
`getControlPoints, getKnots`

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getInterpolation, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.